Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.collection
Class OsgiServiceSortedList

    java.lang.Object
      org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceCollection
          org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceList
              org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceSortedList

All Implemented Interfaces:
  Iterable, Collection, List, RandomAccess, CollectionProxy, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.InitializingBean

    public class OsgiServiceSortedList

extends OsgiServiceList

Ordered list similar to a SortedSet with the difference, that it accepts duplicates.

Author:
  Costin Leau
See Also:
  `Comparable`, `Comparator`, `SortedSet`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceList
`OsgiServiceList.OsgiServiceListIterator`

Nested classes/interfaces inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceCollection
`OsgiServiceCollection.OsgiServiceIterator`

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceList
`storage`

Fields inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceCollection
`services, servicesIdMap`

Constructor Summary
`OsgiServiceSortedList(org.osgi.framework.Filter filter, org.osgi.framework.BundleContext context, ClassLoader classLoader, Comparator comparator, ServiceProxyCreator proxyCreator, boolean useServiceReference)`
`OsgiServiceSortedList(org.osgi.framework.Filter filter, org.osgi.framework.BundleContext context, ClassLoader classLoader, ServiceProxyCreator proxyCreator, boolean useServiceReference)`

Method Summary
`Comparator` | `comparator()`
`protected DynamicCollection` | `createInternalDynamicStorage()` Create the dynamic storage used internally.

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceList
`add, addAll, get, indexOf, lastIndexOf, listIterator, listIterator, remove, set, subList`

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.OsgiServiceCollection
`add, addAll, afterPropertiesSet, clear, contains, containsAll, destroy, isEmpty, isSatisfied, iterator, mandatoryServiceCheck, remove, removeAll, retainAll, setListeners, setRequiredAtStartup, setServiceImporter, setServiceImporterName, setStateListeners, setUseBlueprintExceptions, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### OsgiServiceSortedList

    public OsgiServiceSortedList(org.osgi.framework.Filter filter,
                                 org.osgi.framework.BundleContext context,
                                 ClassLoader classLoader,
                                 ServiceProxyCreator proxyCreator,
                                 boolean useServiceReference)

Parameters:
  `filter` -
  `context` -
  `classLoader` -

### OsgiServiceSortedList

    public OsgiServiceSortedList(org.osgi.framework.Filter filter,
                                 org.osgi.framework.BundleContext context,
                                 ClassLoader classLoader,
                                 Comparator comparator,
                                 ServiceProxyCreator proxyCreator,
                                 boolean useServiceReference)

Method Detail

### createInternalDynamicStorage

    protected DynamicCollection createInternalDynamicStorage()

  Description copied from class: `OsgiServiceCollection`
  Create the dynamic storage used internally. The storage has to be thread-safe.

  Overrides:
    `createInternalDynamicStorage` in class `OsgiServiceList`

### comparator

    public Comparator comparator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.